org.apache.fop.pdf

## Class PDFNull

- java.lang.Object
- - org.apache.fop.pdf.PDFNull

All Implemented Interfaces:
  PDFWritable

    public final class PDFNull
    extends Object
    implements PDFWritable

Class representing a PDF name object.

### Field Summary

Fields
`static PDFNull` `INSTANCE` Instance for the "null" object.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `outputInline(OutputStream out, StringBuilder textBuffer)` Writes a "direct object" (inline object) representation to the stream.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final PDFNull INSTANCE

Instance for the "null" object.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### outputInline

    public void outputInline(OutputStream out,
                             StringBuilder textBuffer)
                      throws IOException

Writes a "direct object" (inline object) representation to the stream. A text buffer is given for optimized encoding of text content.

IMPORTANT: If you need to write out binary output, call `PDFDocument.flushTextBuffer(StringBuilder, OutputStream)` before writing any content to the `OutputStream`!

Specified by:
  `outputInline` in interface `PDFWritable`
Parameters:
  `out` - the OutputStream (for binary content)
  `textBuffer` - the text buffer for text content
Throws:
  `IOException` - if an I/O error occurs